- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# Kalman< sq_T > Class Template Reference

Kalman filter with covariance matrices in square root form. More...

`#include <libKF.h>`

Inheritance diagram for Kalman< sq_T >:

[legend]
Collaboration diagram for Kalman< sq_T >:

[legend]

List of all members.

## Public Member Functions
| Kalman (RV rvx0, RV rvy0, RV rvu0)
| Default constructor.
| Kalman (const Kalman< sq_T > &K0)
| Copy constructor.
void | set_parameters (const mat &A0, const mat &B0, const mat &C0, const mat &D0, const sq_T &R0, const sq_T &Q0)
| Set parameters with check of relevance.
void | set_est (const vec &mu0, const sq_T &P0)
| Set estimate values, used e.g. in initialization.
void | bayes (const vec &dt)
| Here dt = [yt;ut] of appropriate dimensions.
epdf & | _epdf ()
| access function
mat & | __K ()
| access function
vec | _dP ()
| access function
void | bayes (mat Dt)
| Batch Bayes rule (columns of Dt are observations).
const RV & | _rv () const
| access function
double | _ll () const
| access function
## Protected Attributes
RV | rvy
| Indetifier of output rv.
RV | rvu
| Indetifier of exogeneous rv.
int | dimx
| cache of rv.count()
int | dimy
| cache of rvy.count()
int | dimu
| cache of rvu.count()
mat | A
| Matrix A.
mat | B
| Matrix B.
mat | C
| Matrix C.
mat | D
| Matrix D.
sq_T | Q
| Matrix Q in square-root form.
sq_T | R
| Matrix R in square-root form.
enorm< sq_T > | est
| posterior density on $x_t$
enorm< sq_T > | fy
| preditive density on $y_t$
mat | _K
| placeholder for Kalman gain
vec & | _yp
| cache of fy.mu
sq_T & | _Ry
| cache of fy.R
vec & | _mu
| cache of est.mu
sq_T & | _P
| cache of est.R
RV | rv
| Random variable of the posterior.
double | ll
| Logarithm of marginalized data likelihood.
bool | evalll
| If true, the filter will compute likelihood of the data record and store it in `ll` . Set to false if you want to save time.

## Detailed Description

### template<class sq_T>
class Kalman< sq_T >

Kalman filter with covariance matrices in square root form.

Parameter evolution model:

Observation model:

Where $e_t$ and $w_t$ are independent vectors Normal(0,1)-distributed disturbances.

The documentation for this class was generated from the following file:

- work/mixpp/bdm/estim/libKF.h